var path = require('path')
module.exports={
  configureWebpack: config=>{
    config.entry=process.env.NODE_ENV == 'development' ? './src/main.js' : './src/plugin/index.js';
   
    config.output.path=path.resolve(__dirname, './dist');
    // config.output.publicPath='/dist/';
    config.output.filename='mutipleSelect.js'
    config.output.library='mutipleSelect';
    config.output.libraryTarget='umd';
    config.output.umdNamedDefine=true;
  },
  lintOnSave:false,
    css: {
        loaderOptions: {
          less: {
            javascriptEnabled: true,
          },
        },
      }

}